[DRE-commits] [ruby-slack-notifier] 01/02: Revert "Remove unwanted bin folder"
Balasankar C
balasankarc-guest at moszumanska.debian.org
Sun Jun 28 06:09:00 UTC 2015
This is an automated email from the git hooks/post-receive script.
balasankarc-guest pushed a commit to branch master
in repository ruby-slack-notifier.
commit 9a52c308b5e11adc27f79893d3c9507f04964c5d
Author: Balasankar C <balasankarc at autistici.org>
Date: Sun Jun 28 11:29:41 2015 +0530
Revert "Remove unwanted bin folder"
This reverts commit 99df9aec54b66c8cc5cba429245b230b197eedfa.
---
bin/test | 27 +++++++++++++++++++++++++++
1 file changed, 27 insertions(+)
diff --git a/bin/test b/bin/test
new file mode 100755
index 0000000..368f218
--- /dev/null
+++ b/bin/test
@@ -0,0 +1,27 @@
+#!/usr/bin/env ruby
+
+require 'yaml'
+YAML.load_file('.env').each do |key,var|
+ ENV[key] = var
+end
+
+rubies = YAML.load_file('.travis.yml')['rvm']
+rubies.each do |ruby|
+
+ # cleanup gemfile.locks
+ Dir[ 'spec*/**/*.lock' ].each do |lockfile|
+ puts "removing #{lockfile}"
+ system "rm #{lockfile}"
+ end
+
+ pid = Process.fork do
+ exec "rvm #{ruby} do ruby spec/integration/ping_integration_test.rb"
+ end
+
+ trap "INT" do
+ puts "exiting"
+ pid.send(:exit)
+ end
+
+ Process.wait(pid)
+end
\ No newline at end of file
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-ruby-extras/ruby-slack-notifier.git
More information about the Pkg-ruby-extras-commits
mailing list